package org.jboss.soa.qa.sca;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

import javax.inject.Inject;

@Service(ScaService.class)
public class ScaServiceBean implements ScaService {

	@Inject
	@Reference("JcaJMSOutService")
	private JMSOutService jcaJmsOutService;

	@Inject
	@Reference("CamelJMSOutService")
	private JMSOutService camelJmsOutService;

	public void handle(String command) {
		System.out.println("ScaService :: Received command '" + command + "'");

		jcaJmsOutService.send(command);
		camelJmsOutService.send(command);
	}
}
